Request
Send your HTTP requests with an Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password Example:Authorization: Basic *****************
Body Params application/json
{
"return_url": "http://www.baidu.com",
"currency": "CNY",
"payment_method_options": {
"alipay": {
"terminal_type": "WEB",
"os_type": "IOS"
}
},
"payment_method_data": {
"type": "alipay"
}
}
Request Code Samples
curl --location 'https://apitest.wooshpay.com/v1/payment_intents/pi_2082790270243438592/confirm' \
--header 'Accept: application/json' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
"return_url": "http://www.baidu.com",
"currency": "CNY",
"payment_method_options": {
"alipay": {
"terminal_type": "WEB",
"os_type": "IOS"
}
},
"payment_method_data": {
"type": "alipay"
}
}'
Responses
application/json
Modified at 2026-07-30 11:48:33